package com.zioinfo.mes.routing.mapper;

import com.zioinfo.mes.routing.MesRouting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoutingMapper {
    List<MesRouting> findByItem(@Param("itemCode") String itemCode);
    List<MesRouting> findAll();
    MesRouting findById(@Param("id") Long id);
    int insert(MesRouting r);
    int update(MesRouting r);
    int delete(@Param("id") Long id);
}
